{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/docs.json","name":"Siray.ai API Docs","colors":{"primary":"#16A34A","light":"#07C983","dark":"#15803D"},"logo":{"light":"https://mintcdn.com/siray/IfAUTQ8RLhmLwbsx/logo/light.png?fit=max\u0026auto=format\u0026n=IfAUTQ8RLhmLwbsx\u0026q=85\u0026s=bc056dafa94b3fc8b39300db5b3d146d","dark":"https://mintcdn.com/siray/XjCHuTSPlKcRm9aZ/logo/dark.svg?fit=max\u0026auto=format\u0026n=XjCHuTSPlKcRm9aZ\u0026q=85\u0026s=1252d45798521f70dee56678ede73e0c"},"favicon":"https://mintcdn.com/siray/g8NSu71ZvoIcbBgT/icon_mint.png?fit=max\u0026auto=format\u0026n=g8NSu71ZvoIcbBgT\u0026q=85\u0026s=9bacc1e2f44e30c6f58bf128449ce411","navbar":{"links":[{"href":"https://console.siray.ai","label":"Console"}],"primary":{"type":"button","label":"Back to Home","href":"https://www.siray.ai"}},"footer":{"socials":{"discord":"https://discord.gg/CmSbUzPSVP","linkedin":"https://linkedin.com/company/sirayai","medium":"https://medium.com/@siray.ai","x":"https://x.com/siray_ai"}},"seo":{"metatags":{"canonical":"https://docs.siray.ai","og:description":"Official Siray API documentation. Drop-in OpenAI compatible SDK.","og:image":"https://pictures-s3.siray.ai/social-media-cover.png","og:site_name":"Siray AI API Docs","og:title":"Siray AI API Docs | OpenAI Compatible API","og:type":"website","og:url":"https://docs.siray.ai"}},"contextual":{"options":["copy","view","chatgpt","claude","perplexity","mcp","cursor","vscode"],"display":"header"},"styling":{"latex":false},"navigation":{"global":{"anchors":[{"anchor":"Documentation","icon":"book-open-cover","href":"https://docs.siray.ai/"},{"anchor":"Dev Support","icon":"https://d3gk2c5xim1je2.cloudfront.net/v7.1.0/duotone/envelope.svg","href":"mailto:support@siray.ai"},{"anchor":"Discord Community","icon":"discord","href":"https://discord.gg/CmSbUzPSVP"}]},"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"siray","hasAudioNarration":false,"actualSubdomain":"siray","customDomains":["docs.siray.ai"],"gitSource":{"type":"github","owner":"wangrzneu","repo":"siray-docs","deployBranch":"main","contentDirectory":"","isPrivate":true,"mountPath":"","label":""},"chroma":{"liveDeploymentHistoryId":"6adf5623737ceb5e7108e8b8","collectionId":"701b5f0b-dad9-4109-8825-85fb7be28cff","schemaVersion":"v3","latestBuiltDeploymentHistoryId":"6adf5623737ceb5e7108e8b8"},"entitlements":{},"buildId":"6adf5623737ceb5e7108e8b8","clientVersion":"0.0.3971","searchFilterCounts":[{"language":"default","tag":"Model APIs","count":357},{"language":"default","tag":"API Reference","count":187},{"language":"default","tag":"Guides","count":184},{"language":"default","tag":"Models","count":178},{"language":"default","tag":"ByteDance","count":66},{"language":"default","tag":"Alibaba","count":54},{"language":"default","tag":"Google","count":38},{"language":"default","tag":"OpenAI","count":34},{"language":"default","tag":"Black Forest Labs","count":22},{"language":"default","tag":"Kuaishou","count":22}]},"assistantConfig":{"enableStarterQuestions":false},"basePath":"","hasChatPermissions":false,"hasWebMcpPermissions":false,"toggles":[],"isAtlas":false,"googleFontsInlined":false},"customCss":[],"page":{"pagePath":"api-reference/model-api/gpt-6-astra","slug":"/api-reference/model-api/gpt-6-astra","pageMetadata":{"title":"GPT 6 Astra","openapi":"openapi-spec/gpt-6-astra.json POST /v1/chat/completions","description":null,"href":"/api-reference/model-api/gpt-6-astra"},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){return _jsx(_Fragment,{})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"GPT 6 Astra","openapi":"openapi-spec/gpt-6-astra.json POST /v1/chat/completions","description":null,"href":"/api-reference/model-api/gpt-6-astra"}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[],"codeExamples":{}},"jsLinks":[],"openApiReferenceData":{"operation":{"description":"Generate a chat completion using the GPT 6 Astra model","operationId":"token_model-qp1vta1g5qnkdgv4","requestBody":"81999393-e8b7-4c95-9847-51fda07e0f8f","responses":{"200":"91a1e953-8801-460d-b9d6-35937084fe60"},"security":["621c6835-711d-4ca4-82a4-0c79ebe5f6e2"],"summary":"Create chat completion","tags":["GPT 6 Astra"],"method":"post","type":"path","servers":["5c16788e-695d-4b07-b06a-6d80bb63c9c2"],"path":"/v1/chat/completions","baseUrlOptions":["https://api.siray.ai"],"title":"Create chat completion","codeSamples":[],"requiredOnlyExamples":false,"requestExampleType":"generated","responseExampleType":"generated"},"dependencies":{"parameters":{},"requestBody":{"content":{"application/json":{"example":{"max_tokens":128000,"messages":[{"content":"example_value","role":"system"}],"model":"openai/gpt-6-astra","stream":false},"schema":{"description":"OpenAI-compatible chat completions API request format","properties":{"messages":{"description":"Array of conversation messages with roles","items":{"properties":{"content":{"description":"Message content","type":"string","isRequired":true,"uniqueKey":"messages.items.[INDEX].content","typeLabel":"string"},"role":{"description":"Message role","enum":["system","user","assistant"],"type":"string","isRequired":true,"uniqueKey":"messages.items.[INDEX].role","typeLabel":"enum\u003cstring>"}},"required":["role","content"],"type":"object","uniqueKey":"messages.items.[INDEX]","typeLabel":"object"},"minItems":1,"type":"array","isRequired":true,"uniqueKey":"messages","typeLabel":"object[]"},"model":{"description":"Model name to use for the request","enum":["openai/gpt-6-astra"],"type":"string","isRequired":true,"uniqueKey":"model","typeLabel":"enum\u003cstring>"},"max_tokens":{"default":128000,"description":"Maximum number of tokens to generate","maximum":128000,"minimum":1,"type":"integer","uniqueKey":"max_tokens","typeLabel":"integer"},"stream":{"default":false,"description":"Enable streaming response","type":"boolean","uniqueKey":"stream","typeLabel":"boolean"}},"required":["model","messages"],"title":"Chat Completions Request","type":"object","uniqueKey":"","typeLabel":"Chat Completions Request · object"},"examples":{"Example":{"title":"Example","value":{"max_tokens":128000,"messages":[{"content":"example_value","role":"system"}],"model":"openai/gpt-6-astra","stream":false}}},"exampleType":"examples"}},"description":"Request payload","required":true,"exampleType":"examples"},"responses":{"91a1e953-8801-460d-b9d6-35937084fe60":{"content":{"application/json":{"schema":{"description":"Chat completion response","properties":{"choices":{"items":{"description":"Chat completion choice","properties":{"index":{"description":"Index of the choice","type":"integer","isRequired":true,"uniqueKey":"choices.items.[INDEX].index","typeLabel":"integer"},"delta":{"description":"Message delta in streaming response","properties":{"content":{"description":"Content of the message delta","type":"string","uniqueKey":"choices.items.[INDEX].delta.content","typeLabel":"string"},"reasoning":{"description":"Alternative reasoning field","type":"string","uniqueKey":"choices.items.[INDEX].delta.reasoning","typeLabel":"string"},"reasoning_content":{"description":"Reasoning content of the message delta","type":"string","uniqueKey":"choices.items.[INDEX].delta.reasoning_content","typeLabel":"string"},"role":{"description":"Role of the message author","enum":["system","user","assistant","tool"],"type":"string","uniqueKey":"choices.items.[INDEX].delta.role","typeLabel":"enum\u003cstring>"},"tool_calls":{"items":{"description":"Tool call in the response","properties":{"function":{"description":"Function call details","properties":{"arguments":{"description":"Arguments to call the function with, in JSON format","type":"string","isRequired":true,"uniqueKey":"choices.items.[INDEX].delta.tool_calls.items.[INDEX].function.arguments","typeLabel":"string"},"description":{"description":"Description of the function","type":"string","uniqueKey":"choices.items.[INDEX].delta.tool_calls.items.[INDEX].function.description","typeLabel":"string"},"name":{"description":"Name of the function","type":"string","uniqueKey":"choices.items.[INDEX].delta.tool_calls.items.[INDEX].function.name","typeLabel":"string"},"parameters":{"description":"Parameters schema for the function","uniqueKey":"choices.items.[INDEX].delta.tool_calls.items.[INDEX].function.parameters","typeLabel":"any"}},"required":["arguments"],"type":"object","isRequired":true,"uniqueKey":"choices.items.[INDEX].delta.tool_calls.items.[INDEX].function","typeLabel":"object"},"id":{"description":"Unique identifier for the tool call","type":"string","uniqueKey":"choices.items.[INDEX].delta.tool_calls.items.[INDEX].id","typeLabel":"string"},"index":{"description":"Index of the tool call in streaming chunks","type":"integer","uniqueKey":"choices.items.[INDEX].delta.tool_calls.items.[INDEX].index","typeLabel":"integer"},"type":{"description":"Type of the tool call","uniqueKey":"choices.items.[INDEX].delta.tool_calls.items.[INDEX].type","typeLabel":"any"}},"required":["function"],"type":"object","uniqueKey":"choices.items.[INDEX].delta.tool_calls.items.[INDEX]","typeLabel":"object"},"type":"array","uniqueKey":"choices.items.[INDEX].delta.tool_calls","typeLabel":"object[]"}},"type":"object","uniqueKey":"choices.items.[INDEX].delta","typeLabel":"object"},"finish_reason":{"description":"Reason why the completion finished","enum":["stop","length","tool_calls","content_filter",null],"type":"string","uniqueKey":"choices.items.[INDEX].finish_reason","typeLabel":"enum\u003cstring>"},"logprobs":{"description":"Log probabilities for the choice","uniqueKey":"choices.items.[INDEX].logprobs","typeLabel":"any"}},"required":["index"],"type":"object","uniqueKey":"choices.items.[INDEX]","typeLabel":"object"},"type":"array","isRequired":true,"uniqueKey":"choices","typeLabel":"object[]"},"created":{"description":"Unix timestamp of when the completion was created","type":"integer","isRequired":true,"uniqueKey":"created","typeLabel":"integer"},"id":{"description":"Unique identifier for the chat completion","type":"string","isRequired":true,"uniqueKey":"id","typeLabel":"string"},"model":{"description":"The model used for the completion","type":"string","isRequired":true,"uniqueKey":"model","typeLabel":"string"},"object":{"description":"Object type, typically 'chat.completion.chunk'","type":"string","isRequired":true,"uniqueKey":"object","typeLabel":"string"},"system_fingerprint":{"description":"System fingerprint for the completion","type":"string","uniqueKey":"system_fingerprint","typeLabel":"string"},"usage":{"oneOf":[{"type":"object","description":"Token usage information","required":["prompt_tokens","completion_tokens","total_tokens","prompt_tokens_details","completion_tokens_details","input_tokens","output_tokens"],"properties":{"completion_tokens":{"description":"Number of tokens in the completion","type":"integer","isRequired":true,"uniqueKey":"usage.oneOf.0.completion_tokens","typeLabel":"integer"},"completion_tokens_details":{"description":"Detailed output token usage information","properties":{"audio_tokens":{"description":"Number of audio tokens in output","type":"integer","isRequired":true,"uniqueKey":"usage.oneOf.0.completion_tokens_details.audio_tokens","typeLabel":"integer"},"reasoning_tokens":{"description":"Number of reasoning tokens in output","type":"integer","isRequired":true,"uniqueKey":"usage.oneOf.0.completion_tokens_details.reasoning_tokens","typeLabel":"integer"},"text_tokens":{"description":"Number of text tokens in output","type":"integer","isRequired":true,"uniqueKey":"usage.oneOf.0.completion_tokens_details.text_tokens","typeLabel":"integer"}},"required":["text_tokens","audio_tokens","reasoning_tokens"],"type":"object","isRequired":true,"uniqueKey":"usage.oneOf.0.completion_tokens_details","typeLabel":"object"},"input_tokens":{"description":"Number of input tokens","type":"integer","isRequired":true,"uniqueKey":"usage.oneOf.0.input_tokens","typeLabel":"integer"},"output_tokens":{"description":"Number of output tokens","type":"integer","isRequired":true,"uniqueKey":"usage.oneOf.0.output_tokens","typeLabel":"integer"},"prompt_tokens":{"description":"Number of tokens in the prompt","type":"integer","isRequired":true,"uniqueKey":"usage.oneOf.0.prompt_tokens","typeLabel":"integer"},"prompt_tokens_details":{"description":"Detailed input token usage information","properties":{"audio_tokens":{"description":"Number of audio tokens","type":"integer","isRequired":true,"uniqueKey":"usage.oneOf.0.prompt_tokens_details.audio_tokens","typeLabel":"integer"},"cached_tokens":{"description":"Number of cached tokens","type":"integer","isRequired":true,"uniqueKey":"usage.oneOf.0.prompt_tokens_details.cached_tokens","typeLabel":"integer"},"image_tokens":{"description":"Number of image tokens","type":"integer","isRequired":true,"uniqueKey":"usage.oneOf.0.prompt_tokens_details.image_tokens","typeLabel":"integer"},"text_tokens":{"description":"Number of text tokens","type":"integer","isRequired":true,"uniqueKey":"usage.oneOf.0.prompt_tokens_details.text_tokens","typeLabel":"integer"},"cache_write_tokens":{"description":"Number of cache write tokens","type":"integer","uniqueKey":"usage.oneOf.0.prompt_tokens_details.cache_write_tokens","typeLabel":"integer"}},"required":["cached_tokens","text_tokens","audio_tokens","image_tokens"],"type":"object","isRequired":true,"uniqueKey":"usage.oneOf.0.prompt_tokens_details","typeLabel":"object"},"total_tokens":{"description":"Total number of tokens used","type":"integer","isRequired":true,"uniqueKey":"usage.oneOf.0.total_tokens","typeLabel":"integer"},"input_tokens_details":{"oneOf":[{"type":"object","description":"Detailed input token usage information","required":["cached_tokens","text_tokens","audio_tokens","image_tokens"],"properties":{"audio_tokens":{"description":"Number of audio tokens","type":"integer","isRequired":true,"uniqueKey":"usage.oneOf.0.input_tokens_details.oneOf.0.audio_tokens","typeLabel":"integer"},"cached_tokens":{"description":"Number of cached tokens","type":"integer","isRequired":true,"uniqueKey":"usage.oneOf.0.input_tokens_details.oneOf.0.cached_tokens","typeLabel":"integer"},"image_tokens":{"description":"Number of image tokens","type":"integer","isRequired":true,"uniqueKey":"usage.oneOf.0.input_tokens_details.oneOf.0.image_tokens","typeLabel":"integer"},"text_tokens":{"description":"Number of text tokens","type":"integer","isRequired":true,"uniqueKey":"usage.oneOf.0.input_tokens_details.oneOf.0.text_tokens","typeLabel":"integer"},"cache_write_tokens":{"description":"Number of cache write tokens","type":"integer","uniqueKey":"usage.oneOf.0.input_tokens_details.oneOf.0.cache_write_tokens","typeLabel":"integer"}},"uniqueKey":"usage.oneOf.0.input_tokens_details.oneOf.0","typeLabel":"object"},{"type":"null","uniqueKey":"usage.oneOf.0.input_tokens_details.oneOf.1","typeLabel":"null"}],"uniqueKey":"usage.oneOf.0.input_tokens_details","typeLabel":"object | null"},"prompt_cache_hit_tokens":{"description":"Number of prompt tokens retrieved from cache","type":"integer","uniqueKey":"usage.oneOf.0.prompt_cache_hit_tokens","typeLabel":"integer"}},"uniqueKey":"usage.oneOf.0","typeLabel":"object"},{"type":"null","uniqueKey":"usage.oneOf.1","typeLabel":"null"}],"uniqueKey":"usage","typeLabel":"object | null"}},"required":["id","object","created","model","choices"],"title":"ChatCompletionsStreamResponse","type":"object","uniqueKey":"","typeLabel":"ChatCompletionsStreamResponse · object"},"examples":{"Example":{"title":"Example","value":{"choices":[{"index":123,"delta":{"content":"\u003cstring>","reasoning":"\u003cstring>","reasoning_content":"\u003cstring>","role":"system","tool_calls":[{"function":{"arguments":"\u003cstring>","description":"\u003cstring>","name":"\u003cstring>","parameters":"\u003cunknown>"},"id":"\u003cstring>","index":123,"type":"\u003cunknown>"}]},"finish_reason":"stop","logprobs":"\u003cunknown>"}],"created":123,"id":"\u003cstring>","model":"\u003cstring>","object":"\u003cstring>","system_fingerprint":"\u003cstring>","usage":{"completion_tokens":123,"completion_tokens_details":{"audio_tokens":123,"reasoning_tokens":123,"text_tokens":123},"input_tokens":123,"output_tokens":123,"prompt_tokens":123,"prompt_tokens_details":{"audio_tokens":123,"cached_tokens":123,"image_tokens":123,"text_tokens":123,"cache_write_tokens":123},"total_tokens":123,"input_tokens_details":{"audio_tokens":123,"cached_tokens":123,"image_tokens":123,"text_tokens":123,"cache_write_tokens":123},"prompt_cache_hit_tokens":123}}}},"exampleType":"generated"}},"description":"Successful response","exampleType":"generated"}},"security":{"621c6835-711d-4ca4-82a4-0c79ebe5f6e2":{"bearerAuth":{"bearerFormat":"API Key","description":"Bearer authentication using API key","scheme":"bearer","type":"http","scopes":[]}}},"servers":{"5c16788e-695d-4b07-b06a-6d80bb63c9c2":{"description":"Model Verse API Server","url":"https://api.siray.ai"}},"processedSecurityOptions":[{"schemes":[{"scheme":{"bearerFormat":"API Key","description":"Bearer authentication using API key","scheme":"bearer","type":"http","scopes":[]},"schema":{"title":"Bearer Auth","type":"string","isRequired":true,"description":"Bearer authentication using API key","format":"bearer","typeLabel":"string\u003cbearer>","deprecated":false},"schemeName":"bearerAuth","name":"Authorization"}],"title":"bearerAuth"}]},"originalFileLocation":"api-reference/openapi-spec/gpt-6-astra.json"},"subdomain":"siray","siteName":"Siray.ai API Docs","title":"Siray AI API Docs | OpenAI Compatible API","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{}},"lastModified":"2026-10-26T13:32:25.610Z","originalFileLocation":"api-reference/model-api/gpt-6-astra.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"application-name\" content=\"Siray.ai API Docs\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/siray/CDrUgO4hy2XAqwTg/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/siray/CDrUgO4hy2XAqwTg/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/siray/CDrUgO4hy2XAqwTg/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/siray/CDrUgO4hy2XAqwTg/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/siray/CDrUgO4hy2XAqwTg/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/siray/CDrUgO4hy2XAqwTg/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/siray/CDrUgO4hy2XAqwTg/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/siray/CDrUgO4hy2XAqwTg/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/siray/CDrUgO4hy2XAqwTg/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Siray AI API Docs | OpenAI Compatible API\">\u003cmeta data-mint-head property=\"og:description\" content=\"Official Siray API documentation. Drop-in OpenAI compatible SDK.\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"Siray AI API Docs\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://docs.siray.ai/api-reference/model-api/gpt-6-astra\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://pictures-s3.siray.ai/social-media-cover.png\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Siray AI API Docs | OpenAI Compatible API\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"Official Siray API documentation. Drop-in OpenAI compatible SDK.\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://pictures-s3.siray.ai/social-media-cover.png\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/siray/CDrUgO4hy2XAqwTg/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"Siray.ai API Docs\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#16A34A\">\u003clink data-mint-head rel=\"canonical\" href=\"https://docs.siray.ai/api-reference/model-api/gpt-6-astra\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/api-reference/model-api/gpt-6-astra.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://docs.siray.ai/#organization\",\"name\":\"Siray.ai API Docs\",\"url\":\"https://docs.siray.ai\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/siray/IfAUTQ8RLhmLwbsx/logo/light.png?fit=max\u0026auto=format\u0026n=IfAUTQ8RLhmLwbsx\u0026q=85\u0026s=bc056dafa94b3fc8b39300db5b3d146d\"}},{\"@type\":\"WebSite\",\"@id\":\"https://docs.siray.ai#website\",\"name\":\"Siray.ai API Docs\",\"url\":\"https://docs.siray.ai\",\"publisher\":{\"@id\":\"https://docs.siray.ai/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://docs.siray.ai/api-reference/model-api/gpt-6-astra#webpage\",\"url\":\"https://docs.siray.ai/api-reference/model-api/gpt-6-astra\",\"name\":\"GPT 6 Astra\",\"dateModified\":\"2026-10-26T13:32:25.610Z\",\"isPartOf\":{\"@id\":\"https://docs.siray.ai#website\"},\"breadcrumb\":{\"@id\":\"https://docs.siray.ai/api-reference/model-api/gpt-6-astra#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://docs.siray.ai/api-reference/model-api/gpt-6-astra#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"Model APIs\",\"item\":\"https://docs.siray.ai/api-reference/model-api/qwen-image-3-edit\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"OpenAI\",\"item\":\"https://docs.siray.ai/api-reference/model-api/gpt-4.1\"},{\"@type\":\"ListItem\",\"position\":3,\"name\":\"GPT 6 Astra\",\"item\":\"https://docs.siray.ai/api-reference/model-api/gpt-6-astra\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://docs.siray.ai/api-reference/model-api/gpt-6-astra#apireference\",\"headline\":\"GPT 6 Astra\",\"name\":\"GPT 6 Astra\",\"url\":\"https://docs.siray.ai/api-reference/model-api/gpt-6-astra\",\"mainEntityOfPage\":{\"@id\":\"https://docs.siray.ai/api-reference/model-api/gpt-6-astra#webpage\"},\"image\":\"https://pictures-s3.siray.ai/social-media-cover.png\",\"dateModified\":\"2026-10-26T13:32:25.610Z\",\"publisher\":{\"@id\":\"https://docs.siray.ai/#organization\"},\"isPartOf\":{\"@id\":\"https://docs.siray.ai#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"Siray.ai API Docs\",\"creator\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","siteName":"Siray.ai API Docs","nav":{"global":{"anchors":[{"anchor":"Documentation","icon":"book-open-cover","href":"https://docs.siray.ai/"},{"anchor":"Dev Support","icon":"https://d3gk2c5xim1je2.cloudfront.net/v7.1.0/duotone/envelope.svg","href":"mailto:support@siray.ai"},{"anchor":"Discord Community","icon":"discord","href":"https://discord.gg/CmSbUzPSVP"}]},"tabs":[{"tab":"Guides","pages":[{"title":"Guides","href":""}]},{"tab":"API Reference","groups":[{"group":"API documentation","pages":[{"title":"Introduction","icon":"paperclip","href":"/api-reference/introduction"},{"title":"Error Codes","icon":"triangle-exclamation","href":"/api-reference/fail-code"},{"title":"Image Task Status API","openapi":"openapi-spec/task-status.json GET /v1/images/generations/async/{task_id}","href":"/api-reference/task-status-image"},{"title":"Video Task Status API","openapi":"openapi-spec/task-status.json GET /v1/video/generations/{task_id}","href":"/api-reference/task-status-video"},{"title":"3D Model Task Status API","openapi":"openapi-spec/task-status.json GET /v1/3d/generations/{task_id}","href":"/api-reference/task-status-3d"},{"title":"Models API","openapi":"openapi-spec/models.json GET /v1/models","href":"/api-reference/models"},{"title":"Account Balance API","openapi":"openapi-spec/account-balance.json GET /v1/account/balance","href":"/api-reference/account-balance"}]},{"group":"Model API Examples","pages":[{"title":"Image Generation Example","icon":"notes","href":"/api-reference/model-api/example-usage-image"},{"title":"Embedding Model Example","icon":"notes","href":"/api-reference/model-api/example-usage-genai-embedding"}]},{"group":"Model APIs","pages":[{"group":"Alibaba","pages":[{"title":"Qwen Image 3 Edit","openapi":"openapi-spec/qwen-image-3-edit.json POST /v1/images/generations/async","href":"/api-reference/model-api/qwen-image-3-edit"},{"title":"Qwen Image 3 Edit Spicy","openapi":"openapi-spec/qwen-image-3-edit-spicy.json POST /v1/images/generations/async","href":"/api-reference/model-api/qwen-image-3-edit-spicy"},{"title":"Qwen Image 3 Pro Edit Spicy","openapi":"openapi-spec/qwen-image-3-pro-edit-spicy.json POST /v1/images/generations/async","href":"/api-reference/model-api/qwen-image-3-pro-edit-spicy"},{"title":"Qwen Image 3 Pro t2i Spicy","openapi":"openapi-spec/qwen-image-3-pro-t2i-spicy.json POST /v1/images/generations/async","href":"/api-reference/model-api/qwen-image-3-pro-t2i-spicy"},{"title":"Qwen Image 3 t2i","openapi":"openapi-spec/qwen-image-3-t2i.json POST /v1/images/generations/async","href":"/api-reference/model-api/qwen-image-3-t2i"},{"title":"Qwen Image 3 t2i Spicy","openapi":"openapi-spec/qwen-image-3-t2i-spicy.json POST /v1/images/generations/async","href":"/api-reference/model-api/qwen-image-3-t2i-spicy"},{"title":"Wan 2.6 i2v","openapi":"openapi-spec/wan-2.6-i2v.json POST /v1/video/generations","href":"/api-reference/model-api/wan-2.6-i2v"},{"title":"Wan 2.6 t2v","openapi":"openapi-spec/wan-2.6-t2v.json POST /v1/video/generations","href":"/api-reference/model-api/wan-2.6-t2v"},{"title":"Wan 2.7 Image Pro i2i Spicy","openapi":"openapi-spec/wan-2.7-image-pro-i2i-spicy.json POST /v1/images/generations/async","href":"/api-reference/model-api/wan-2.7-image-pro-i2i-spicy"},{"title":"Wan 2.7 Image Pro t2i Spicy","openapi":"openapi-spec/wan-2.7-image-pro-t2i-spicy.json POST /v1/images/generations/async","href":"/api-reference/model-api/wan-2.7-image-pro-t2i-spicy"},{"title":"Wan 2.7 Image i2i Spicy","openapi":"openapi-spec/wan-2.7-image-i2i-spicy.json POST /v1/images/generations/async","href":"/api-reference/model-api/wan-2.7-image-i2i-spicy"},{"title":"Wan 2.7 Image t2i Spicy","openapi":"openapi-spec/wan-2.7-image-t2i-spicy.json POST /v1/images/generations/async","href":"/api-reference/model-api/wan-2.7-image-t2i-spicy"},{"title":"Wan 2.7 i2v Spicy","openapi":"openapi-spec/wan-2.7-i2v-spicy.json POST /v1/video/generations","href":"/api-reference/model-api/wan-2.7-i2v-spicy"},{"title":"Wan 2.7 i2v Uncensored","openapi":"openapi-spec/wan-2.7-i2v-uncensored.json POST /v1/video/generations","href":"/api-reference/model-api/wan-2.7-i2v-uncensored"},{"title":"Wan 2.7 ref2v Uncensored","openapi":"openapi-spec/wan-2.7-ref2v-uncensored.json POST /v1/video/generations","href":"/api-reference/model-api/wan-2.7-ref2v-uncensored"},{"title":"Wan 2.7 t2v Uncensored","openapi":"openapi-spec/wan-2.7-t2v-uncensored.json POST /v1/video/generations","href":"/api-reference/model-api/wan-2.7-t2v-uncensored"},{"title":"Wan 3.0 i2v","openapi":"openapi-spec/wan-3.0-i2v.json POST /v1/video/generations","href":"/api-reference/model-api/wan-3.0-i2v"},{"title":"Wan 3.0 i2v Prime Spicy","openapi":"openapi-spec/wan-3.0-i2v-prime-spicy.json POST /v1/video/generations","href":"/api-reference/model-api/wan-3.0-i2v-prime-spicy"},{"title":"Wan 3.0 i2v Spicy","openapi":"openapi-spec/wan-3.0-i2v-spicy.json POST /v1/video/generations","href":"/api-reference/model-api/wan-3.0-i2v-spicy"},{"title":"Wan 3.0 ref2v","openapi":"openapi-spec/wan-3.0-ref2v.json POST /v1/video/generations","href":"/api-reference/model-api/wan-3.0-ref2v"},{"title":"Wan 3.0 ref2v Prime Spicy","openapi":"openapi-spec/wan-3.0-ref2v-prime-spicy.json POST /v1/video/generations","href":"/api-reference/model-api/wan-3.0-ref2v-prime-spicy"},{"title":"Wan 3.0 ref2v Spicy","openapi":"openapi-spec/wan-3.0-ref2v-spicy.json POST /v1/video/generations","href":"/api-reference/model-api/wan-3.0-ref2v-spicy"},{"title":"Wan 3.0 t2v","openapi":"openapi-spec/wan-3.0-t2v.json POST /v1/video/generations","href":"/api-reference/model-api/wan-3.0-t2v"},{"title":"Wan 3.0 t2v Prime Spicy","openapi":"openapi-spec/wan-3.0-t2v-prime-spicy.json POST /v1/video/generations","href":"/api-reference/model-api/wan-3.0-t2v-prime-spicy"},{"title":"Wan 3.0 t2v Spicy","openapi":"openapi-spec/wan-3.0-t2v-spicy.json POST /v1/video/generations","href":"/api-reference/model-api/wan-3.0-t2v-spicy"},{"title":"Z-Image Spicy Pro t2i","openapi":"openapi-spec/z-image-spicy-pro-t2i.json POST /v1/images/generations/async","href":"/api-reference/model-api/z-image-spicy-pro-t2i"},{"title":"Z-Image Turbo t2i","openapi":"openapi-spec/z-image-turbo-t2i.json POST /v1/images/generations/async","href":"/api-reference/model-api/z-image-turbo-t2i"}]},{"group":"Anthropic","pages":[{"title":"Claude Fable 5.1","openapi":"openapi-spec/claude-fable-5.1.json POST /v1/chat/completions","href":"/api-reference/model-api/claude-fable-5.1"},{"title":"Claude Haiku 4.5","openapi":"openapi-spec/claude-haiku-4.5.json POST /v1/chat/completions","href":"/api-reference/model-api/claude-haiku-4.5"},{"title":"Claude Haiku 5.5","openapi":"openapi-spec/claude-haiku-5.5.json POST /v1/chat/completions","href":"/api-reference/model-api/claude-haiku-5.5"},{"title":"Claude Opus 4.6","openapi":"openapi-spec/claude-opus-4.6.json POST /v1/chat/completions","href":"/api-reference/model-api/claude-opus-4.6"},{"title":"Claude Opus 5.5","openapi":"openapi-spec/claude-opus-5.5.json POST /v1/chat/completions","href":"/api-reference/model-api/claude-opus-5.5"},{"title":"Claude Sonnet 4.5","openapi":"openapi-spec/claude-sonnet-4.5.json POST /v1/chat/completions","href":"/api-reference/model-api/claude-sonnet-4.5"},{"title":"Claude Sonnet 4.6","openapi":"openapi-spec/claude-sonnet-4.6.json POST /v1/chat/completions","href":"/api-reference/model-api/claude-sonnet-4.6"},{"title":"Claude Sonnet 5.5","openapi":"openapi-spec/claude-sonnet-5.5.json POST /v1/chat/completions","href":"/api-reference/model-api/claude-sonnet-5.5"},{"title":"claude-haiku-4-5-20251001","openapi":"openapi-spec/claude-haiku-4-5-20251001.json POST /v1/chat/completions","href":"/api-reference/model-api/claude-haiku-4-5-20251001"},{"title":"claude-sonnet-4-5-20250929","openapi":"openapi-spec/claude-sonnet-4-5-20250929.json POST /v1/chat/completions","href":"/api-reference/model-api/claude-sonnet-4-5-20250929"}]},{"group":"Black Forest Labs","pages":[{"title":"Flux 1.1 Pro Ultra i2i","openapi":"openapi-spec/flux-1.1-pro-ultra-i2i.json POST /v1/images/generations/async","href":"/api-reference/model-api/flux-1.1-pro-ultra-i2i"},{"title":"Flux 1.1 Pro Ultra t2i","openapi":"openapi-spec/flux-1.1-pro-ultra-t2i.json POST /v1/images/generations/async","href":"/api-reference/model-api/flux-1.1-pro-ultra-t2i"},{"title":"Flux 1.1 Pro i2i","openapi":"openapi-spec/flux-1.1-pro-i2i.json POST /v1/images/generations/async","href":"/api-reference/model-api/flux-1.1-pro-i2i"},{"title":"Flux 1.1 Pro t2i","openapi":"openapi-spec/flux-1.1-pro-t2i.json POST /v1/images/generations/async","href":"/api-reference/model-api/flux-1.1-pro-t2i"},{"title":"Flux 3 i2v","openapi":"openapi-spec/flux-3-i2v.json POST /v1/video/generations","href":"/api-reference/model-api/flux-3-i2v"},{"title":"Flux 3 t2v","openapi":"openapi-spec/flux-3-t2v.json POST /v1/video/generations","href":"/api-reference/model-api/flux-3-t2v"},{"title":"Flux 3 v2v","openapi":"openapi-spec/flux-3-v2v.json POST /v1/video/generations","href":"/api-reference/model-api/flux-3-v2v"},{"title":"Flux Kontext i2i Max","openapi":"openapi-spec/flux-kontext-i2i-max.json POST /v1/images/generations/async","href":"/api-reference/model-api/flux-kontext-i2i-max"},{"title":"Flux Kontext i2i Pro","openapi":"openapi-spec/flux-kontext-i2i-pro.json POST /v1/images/generations/async","href":"/api-reference/model-api/flux-kontext-i2i-pro"},{"title":"Flux Kontext t2i Max","openapi":"openapi-spec/flux-kontext-t2i-max.json POST /v1/images/generations/async","href":"/api-reference/model-api/flux-kontext-t2i-max"},{"title":"Flux Kontext t2i Pro","openapi":"openapi-spec/flux-kontext-t2i-pro.json POST /v1/images/generations/async","href":"/api-reference/model-api/flux-kontext-t2i-pro"}]},{"group":"ByteDance","pages":[{"title":"Seed 1.6","openapi":"openapi-spec/seed-1.6.json POST /v1/chat/completions","href":"/api-reference/model-api/seed-1.6"},{"title":"Seedance 1.0 Lite i2v","openapi":"openapi-spec/seedance-1.0-lite-i2v.json POST /v1/video/generations","href":"/api-reference/model-api/seedance-1.0-lite-i2v"},{"title":"Seedance 1.0 Lite t2v","openapi":"openapi-spec/seedance-1.0-lite-t2v.json POST /v1/video/generations","href":"/api-reference/model-api/seedance-1.0-lite-t2v"},{"title":"Seedance 1.0 Pro Fast t2v","openapi":"openapi-spec/seedance-1.0-pro-fast-t2v.json POST /v1/video/generations","href":"/api-reference/model-api/seedance-1.0-pro-fast-t2v"},{"title":"Seedance 1.0 Pro i2v","openapi":"openapi-spec/seedance-1.0-pro-i2v.json POST /v1/video/generations","href":"/api-reference/model-api/seedance-1.0-pro-i2v"},{"title":"Seedance 1.0 Pro t2v","openapi":"openapi-spec/seedance-1.0-pro-t2v.json POST /v1/video/generations","href":"/api-reference/model-api/seedance-1.0-pro-t2v"},{"title":"Seedance 1.5 Pro i2v","openapi":"openapi-spec/seedance-1.5-pro-i2v.json POST /v1/video/generations","href":"/api-reference/model-api/seedance-1.5-pro-i2v"},{"title":"Seedance 1.5 Pro se2v","openapi":"openapi-spec/seedance-1.5-pro-se2v.json POST /v1/video/generations","href":"/api-reference/model-api/seedance-1.5-pro-se2v"},{"title":"Seedance 1.5 Pro t2v","openapi":"openapi-spec/seedance-1.5-pro-t2v.json POST /v1/video/generations","href":"/api-reference/model-api/seedance-1.5-pro-t2v"},{"title":"Seedance 2.0 Fast i2v","openapi":"openapi-spec/seedance-2.0-fast-i2v.json POST /v1/video/generations","href":"/api-reference/model-api/seedance-2.0-fast-i2v"},{"title":"Seedance 2.0 Fast t2v","openapi":"openapi-spec/seedance-2.0-fast-t2v.json POST /v1/video/generations","href":"/api-reference/model-api/seedance-2.0-fast-t2v"},{"title":"Seedance 2.0 i2v","openapi":"openapi-spec/seedance-2.0-i2v.json POST /v1/video/generations","href":"/api-reference/model-api/seedance-2.0-i2v"},{"title":"Seedance 2.0 i2v Spicy","openapi":"openapi-spec/seedance-2.0-i2v-spicy.json POST /v1/video/generations","href":"/api-reference/model-api/seedance-2.0-i2v-spicy"},{"title":"Seedance 2.0 ref2v Spicy","openapi":"openapi-spec/seedance-2.0-ref2v-spicy.json POST /v1/video/generations","href":"/api-reference/model-api/seedance-2.0-ref2v-spicy"},{"title":"Seedance 2.0 t2v","openapi":"openapi-spec/seedance-2.0-t2v.json POST /v1/video/generations","href":"/api-reference/model-api/seedance-2.0-t2v"},{"title":"Seedance 2.0 t2v Spicy","openapi":"openapi-spec/seedance-2.0-t2v-spicy.json POST /v1/video/generations","href":"/api-reference/model-api/seedance-2.0-t2v-spicy"},{"title":"Seedance 2.5 i2v","openapi":"openapi-spec/seedance-2.5-i2v.json POST /v1/video/generations","href":"/api-reference/model-api/seedance-2.5-i2v"},{"title":"Seedance 2.5 i2v Spicy","openapi":"openapi-spec/seedance-2.5-i2v-spicy.json POST /v1/video/generations","href":"/api-reference/model-api/seedance-2.5-i2v-spicy"},{"title":"Seedance 2.5 ref2v","openapi":"openapi-spec/seedance-2.5-ref2v.json POST /v1/video/generations","href":"/api-reference/model-api/seedance-2.5-ref2v"},{"title":"Seedance 2.5 ref2v Spicy","openapi":"openapi-spec/seedance-2.5-ref2v-spicy.json POST /v1/video/generations","href":"/api-reference/model-api/seedance-2.5-ref2v-spicy"},{"title":"Seedance 2.5 t2v","openapi":"openapi-spec/seedance-2.5-t2v.json POST /v1/video/generations","href":"/api-reference/model-api/seedance-2.5-t2v"},{"title":"Seedance 2.5 t2v Spicy","openapi":"openapi-spec/seedance-2.5-t2v-spicy.json POST /v1/video/generations","href":"/api-reference/model-api/seedance-2.5-t2v-spicy"},{"title":"Seedream 4.0 i2i","openapi":"openapi-spec/seedream-4.0-i2i.json POST /v1/images/generations/async","href":"/api-reference/model-api/seedream-4.0-i2i"},{"title":"Seedream 4.0 ref2i","openapi":"openapi-spec/seedream-4.0-ref2i.json POST /v1/images/generations/async","href":"/api-reference/model-api/seedream-4.0-ref2i"},{"title":"Seedream 4.0 t2i","openapi":"openapi-spec/seedream-4.0-t2i.json POST /v1/images/generations/async","href":"/api-reference/model-api/seedream-4.0-t2i"},{"title":"Seedream 4.5 i2i","openapi":"openapi-spec/seedream-4.5-i2i.json POST /v1/images/generations/async","href":"/api-reference/model-api/seedream-4.5-i2i"},{"title":"Seedream 4.5 i2i Spicy","openapi":"openapi-spec/seedream-4.5-i2i-spicy.json POST /v1/images/generations/async","href":"/api-reference/model-api/seedream-4.5-i2i-spicy"},{"title":"Seedream 4.5 ref2i","openapi":"openapi-spec/seedream-4.5-ref2i.json POST /v1/images/generations/async","href":"/api-reference/model-api/seedream-4.5-ref2i"},{"title":"Seedream 4.5 ref2i Spicy","openapi":"openapi-spec/seedream-4.5-ref2i-spicy.json POST /v1/images/generations/async","href":"/api-reference/model-api/seedream-4.5-ref2i-spicy"},{"title":"Seedream 4.5 t2i","openapi":"openapi-spec/seedream-4.5-t2i.json POST /v1/images/generations/async","href":"/api-reference/model-api/seedream-4.5-t2i"},{"title":"Seedream 4.5 t2i Spicy","openapi":"openapi-spec/seedream-4.5-t2i-spicy.json POST /v1/images/generations/async","href":"/api-reference/model-api/seedream-4.5-t2i-spicy"},{"title":"Seedream 5.0 Pro i2i Spicy","openapi":"openapi-spec/seedream-5.0-pro-i2i-spicy.json POST /v1/images/generations/async","href":"/api-reference/model-api/seedream-5.0-pro-i2i-spicy"},{"title":"Seedream 5.0 Pro t2i Spicy","openapi":"openapi-spec/seedream-5.0-pro-t2i-spicy.json POST /v1/images/generations/async","href":"/api-reference/model-api/seedream-5.0-pro-t2i-spicy"}]},{"group":"DeepSeek","pages":[{"title":"DeepSeek V4 Flash","openapi":"openapi-spec/deepseek-v4-flash.json POST /v1/chat/completions","href":"/api-reference/model-api/deepseek-v4-flash"},{"title":"DeepSeek V4 Pro","openapi":"openapi-spec/deepseek-v4-pro.json POST /v1/chat/completions","href":"/api-reference/model-api/deepseek-v4-pro"},{"title":"DeepSeek V4.1 Flash 1017","openapi":"openapi-spec/deepseek-v4.1-flash.json POST /v1/chat/completions","href":"/api-reference/model-api/deepseek-v4.1-flash"}]},{"group":"Google","pages":[{"title":"Gemini 2.5 Flash","openapi":"openapi-spec/gemini-2.5-flash.json POST /v1/chat/completions","href":"/api-reference/model-api/gemini-2.5-flash"},{"title":"Gemini 2.5 Pro","openapi":"openapi-spec/gemini-2.5-pro.json POST /v1/chat/completions","href":"/api-reference/model-api/gemini-2.5-pro"},{"title":"Gemini 3 Flash Preview","openapi":"openapi-spec/gemini-3-flash-preview.json POST /v1/chat/completions","href":"/api-reference/model-api/gemini-3-flash-preview"},{"title":"Gemini 3.1 Pro Preview","openapi":"openapi-spec/gemini-3.1-pro-preview.json POST /v1/chat/completions","href":"/api-reference/model-api/gemini-3.1-pro-preview"},{"title":"Google Omni 1.1 Flash i2v","openapi":"openapi-spec/google-omni-1.1-flash-i2v.json POST /v1/video/generations","href":"/api-reference/model-api/google-omni-1.1-flash-i2v"},{"title":"Google Omni 1.1 Flash ref2v","openapi":"openapi-spec/google-omni-1.1-flash-ref2v.json POST /v1/video/generations","href":"/api-reference/model-api/google-omni-1.1-flash-ref2v"},{"title":"Google Omni 1.1 Flash t2v","openapi":"openapi-spec/google-omni-1.1-flash-t2v.json POST /v1/video/generations","href":"/api-reference/model-api/google-omni-1.1-flash-t2v"},{"title":"Nano Banana 2 Lite Edit","openapi":"openapi-spec/nano-banana-2-lite-edit.json POST /v1/images/generations/async","href":"/api-reference/model-api/nano-banana-2-lite-edit"},{"title":"Nano Banana 2 Lite t2i","openapi":"openapi-spec/nano-banana-2-lite-t2i.json POST /v1/images/generations/async","href":"/api-reference/model-api/nano-banana-2-lite-t2i"},{"title":"Nano Banana 2 i2i","openapi":"openapi-spec/nano-banana-2-i2i.json POST /v1/images/generations/async","href":"/api-reference/model-api/nano-banana-2-i2i"},{"title":"Nano Banana 2 t2i","openapi":"openapi-spec/nano-banana-2-t2i.json POST /v1/images/generations/async","href":"/api-reference/model-api/nano-banana-2-t2i"},{"title":"Nano Banana 2.1 i2i","openapi":"openapi-spec/nano-banana-2.1-i2i.json POST /v1/images/generations/async","href":"/api-reference/model-api/nano-banana-2.1-i2i"},{"title":"Nano Banana 2.1 t2i","openapi":"openapi-spec/nano-banana-2.1-t2i.json POST /v1/images/generations/async","href":"/api-reference/model-api/nano-banana-2.1-t2i"},{"title":"Nano Banana Pro i2i","openapi":"openapi-spec/nano-banana-pro-i2i.json POST /v1/images/generations/async","href":"/api-reference/model-api/nano-banana-pro-i2i"},{"title":"Nano Banana Pro t2i","openapi":"openapi-spec/nano-banana-pro-t2i.json POST /v1/images/generations/async","href":"/api-reference/model-api/nano-banana-pro-t2i"},{"title":"Nano Banana i2i","openapi":"openapi-spec/nano-banana-i2i.json POST /v1/images/generations/async","href":"/api-reference/model-api/nano-banana-i2i"},{"title":"Nano Banana t2i","openapi":"openapi-spec/nano-banana-t2i.json POST /v1/images/generations/async","href":"/api-reference/model-api/nano-banana-t2i"},{"title":"Veo 3.1 i2v","openapi":"openapi-spec/veo-3.1-i2v.json POST /v1/video/generations","href":"/api-reference/model-api/veo-3.1-i2v"},{"title":"Veo 3.1 t2v","openapi":"openapi-spec/veo-3.1-t2v.json POST /v1/video/generations","href":"/api-reference/model-api/veo-3.1-t2v"}]},{"group":"Kuaishou","pages":[{"title":"Kling 2.6 Motion Control","openapi":"openapi-spec/kling-2.6-motion-control.json POST /v1/video/generations","href":"/api-reference/model-api/kling-2.6-motion-control"},{"title":"Kling 2.6 Pro Motion Control","openapi":"openapi-spec/kling-2.6-pro-motion-control.json POST /v1/video/generations","href":"/api-reference/model-api/kling-2.6-pro-motion-control"},{"title":"Kling 2.6 Pro i2v","openapi":"openapi-spec/kling-2.6-pro-i2v.json POST /v1/video/generations","href":"/api-reference/model-api/kling-2.6-pro-i2v"},{"title":"Kling 2.6 Pro t2v","openapi":"openapi-spec/kling-2.6-pro-t2v.json POST /v1/video/generations","href":"/api-reference/model-api/kling-2.6-pro-t2v"},{"title":"Kling 3 Motion Control","openapi":"openapi-spec/kling-3-motion-control.json POST /v1/video/generations","href":"/api-reference/model-api/kling-3-motion-control"},{"title":"Kling 3.0 i2v","openapi":"openapi-spec/kling-3.0-i2v.json POST /v1/video/generations","href":"/api-reference/model-api/kling-3.0-i2v"},{"title":"Kling 3.0 t2v","openapi":"openapi-spec/kling-3.0-t2v.json POST /v1/video/generations","href":"/api-reference/model-api/kling-3.0-t2v"},{"title":"Kling 4.0 Video Edit","openapi":"openapi-spec/kling-4.0-video-edit.json POST /v1/video/generations","href":"/api-reference/model-api/kling-4.0-video-edit"},{"title":"Kling 4.0 i2v","openapi":"openapi-spec/kling-4.0-i2v.json POST /v1/video/generations","href":"/api-reference/model-api/kling-4.0-i2v"},{"title":"Kling 4.0 ref2v","openapi":"openapi-spec/kling-4.0-ref2v.json POST /v1/video/generations","href":"/api-reference/model-api/kling-4.0-ref2v"},{"title":"Kling 4.0 t2v","openapi":"openapi-spec/kling-4.0-t2v.json POST /v1/video/generations","href":"/api-reference/model-api/kling-4.0-t2v"}]},{"group":"Lightricks","pages":[{"title":"LTX 2.3 22B i2v","openapi":"openapi-spec/ltx-2.3-22b-i2v.json POST /v1/video/generations","href":"/api-reference/model-api/ltx-2.3-22b-i2v"},{"title":"LTX 2.3 22B t2v","openapi":"openapi-spec/ltx-2.3-22b-t2v.json POST /v1/video/generations","href":"/api-reference/model-api/ltx-2.3-22b-t2v"}]},{"group":"Midjourney","pages":[{"title":"Midjourney Niji 6 t2i","openapi":"openapi-spec/midjourney-niji-6-t2i.json POST /v1/images/generations/async","href":"/api-reference/model-api/midjourney-niji-6-t2i"},{"title":"Midjourney Niji 7 t2i","openapi":"openapi-spec/midjourney-niji-7-t2i.json POST /v1/images/generations/async","href":"/api-reference/model-api/midjourney-niji-7-t2i"},{"title":"Midjourney V6 t2i","openapi":"openapi-spec/midjourney-v6-t2i.json POST /v1/images/generations/async","href":"/api-reference/model-api/midjourney-v6-t2i"},{"title":"Midjourney V6.1 t2i","openapi":"openapi-spec/midjourney-v6.1-t2i.json POST /v1/images/generations/async","href":"/api-reference/model-api/midjourney-v6.1-t2i"},{"title":"Midjourney V7 t2i","openapi":"openapi-spec/midjourney-v7-t2i.json POST /v1/images/generations/async","href":"/api-reference/model-api/midjourney-v7-t2i"},{"title":"Midjourney V8.2 t2i","openapi":"openapi-spec/midjourney-v8.2-t2i.json POST /v1/images/generations/async","href":"/api-reference/model-api/midjourney-v8.2-t2i"}]},{"group":"MiniMax","pages":[{"title":"MiniMax H3 i2v","openapi":"openapi-spec/minimax-h3-i2v.json POST /v1/video/generations","href":"/api-reference/model-api/minimax-h3-i2v"},{"title":"MiniMax H3 i2v Spicy","openapi":"openapi-spec/minimax-h3-i2v-spicy.json POST /v1/video/generations","href":"/api-reference/model-api/minimax-h3-i2v-spicy"},{"title":"MiniMax H3 ref2v","openapi":"openapi-spec/minimax-h3-ref2v.json POST /v1/video/generations","href":"/api-reference/model-api/minimax-h3-ref2v"},{"title":"MiniMax H3 ref2v Spicy","openapi":"openapi-spec/minimax-h3-ref2v-spicy.json POST /v1/video/generations","href":"/api-reference/model-api/minimax-h3-ref2v-spicy"},{"title":"MiniMax H3 t2v","openapi":"openapi-spec/minimax-h3-t2v.json POST /v1/video/generations","href":"/api-reference/model-api/minimax-h3-t2v"},{"title":"MiniMax H3 t2v Spicy","openapi":"openapi-spec/minimax-h3-t2v-spicy.json POST /v1/video/generations","href":"/api-reference/model-api/minimax-h3-t2v-spicy"}]},{"group":"Moonshot AI","pages":[{"title":"Kimi K3","openapi":"openapi-spec/kimi-k3.json POST /v1/chat/completions","href":"/api-reference/model-api/kimi-k3"}]},{"group":"Moss","pages":[{"title":"Moss Image t2i","openapi":"openapi-spec/moss-image-t2i.json POST /v1/images/generations/async","href":"/api-reference/model-api/moss-image-t2i"}]},{"group":"OpenAI","pages":[{"title":"GPT 4.1","openapi":"openapi-spec/gpt-4.1.json POST /v1/chat/completions","href":"/api-reference/model-api/gpt-4.1"},{"title":"GPT 4.1 Mini","openapi":"openapi-spec/gpt-4.1-mini.json POST /v1/chat/completions","href":"/api-reference/model-api/gpt-4.1-mini"},{"title":"GPT 5 Nano","openapi":"openapi-spec/gpt-5-nano.json POST /v1/chat/completions","href":"/api-reference/model-api/gpt-5-nano"},{"title":"GPT 5.2","openapi":"openapi-spec/gpt-5.2.json POST /v1/chat/completions","href":"/api-reference/model-api/gpt-5.2"},{"title":"GPT 5.4","openapi":"openapi-spec/gpt-5.4.json POST /v1/chat/completions","href":"/api-reference/model-api/gpt-5.4"},{"title":"GPT 5.4 Mini","openapi":"openapi-spec/gpt-5.4-mini.json POST /v1/chat/completions","href":"/api-reference/model-api/gpt-5.4-mini"},{"title":"GPT 5.5","openapi":"openapi-spec/gpt-5.5.json POST /v1/chat/completions","description":null,"href":"/api-reference/model-api/gpt-5.5"},{"title":"GPT 6 Astra","openapi":"openapi-spec/gpt-6-astra.json POST /v1/chat/completions","href":"/api-reference/model-api/gpt-6-astra"},{"title":"GPT 6 Luna","openapi":"openapi-spec/gpt-6-luna.json POST /v1/chat/completions","description":null,"href":"/api-reference/model-api/gpt-6-luna"},{"title":"GPT 6.1 Sol","openapi":"openapi-spec/gpt-6.1-sol.json POST /v1/chat/completions","href":"/api-reference/model-api/gpt-6.1-sol"},{"title":"GPT Image 2 Edit","openapi":"openapi-spec/gpt-image-2-edit.json POST /v1/images/generations/async","href":"/api-reference/model-api/gpt-image-2-edit"},{"title":"GPT Image 2 t2i","openapi":"openapi-spec/gpt-image-2-t2i.json POST /v1/images/generations/async","href":"/api-reference/model-api/gpt-image-2-t2i"},{"title":"GPT Image 2.5 Flare Edit","openapi":"openapi-spec/gpt-image-2.5-flare-edit.json POST /v1/images/generations/async","href":"/api-reference/model-api/gpt-image-2.5-flare-edit"},{"title":"GPT Image 2.5 Flare t2i","openapi":"openapi-spec/gpt-image-2.5-flare-t2i.json POST /v1/images/generations/async","href":"/api-reference/model-api/gpt-image-2.5-flare-t2i"},{"title":"GPT Image 2.5 Sunburst Edit","openapi":"openapi-spec/gpt-image-2.5-sunburst-edit.json POST /v1/images/generations/async","href":"/api-reference/model-api/gpt-image-2.5-sunburst-edit"},{"title":"GPT Image 2.5 Sunburst t2i","openapi":"openapi-spec/gpt-image-2.5-sunburst-t2i.json POST /v1/images/generations/async","href":"/api-reference/model-api/gpt-image-2.5-sunburst-t2i"},{"title":"GPT oss 20b","openapi":"openapi-spec/gpt-oss-20b.json POST /v1/chat/completions","href":"/api-reference/model-api/gpt-oss-20b"}]},{"group":"PixVerse","pages":[{"title":"PixVerse C1 i2v","openapi":"openapi-spec/pixverse-c1-i2v.json POST /v1/video/generations","href":"/api-reference/model-api/pixverse-c1-i2v"},{"title":"PixVerse C1 t2v","openapi":"openapi-spec/pixverse-c1-t2v.json POST /v1/video/generations","href":"/api-reference/model-api/pixverse-c1-t2v"},{"title":"PixVerse V5.6 i2v","openapi":"openapi-spec/pixverse-v5.6-i2v.json POST /v1/video/generations","href":"/api-reference/model-api/pixverse-v5.6-i2v"},{"title":"PixVerse V5.6 t2v","openapi":"openapi-spec/pixverse-v5.6-t2v.json POST /v1/video/generations","href":"/api-reference/model-api/pixverse-v5.6-t2v"},{"title":"PixVerse V6 i2v","openapi":"openapi-spec/pixverse-v6-i2v.json POST /v1/video/generations","href":"/api-reference/model-api/pixverse-v6-i2v"},{"title":"PixVerse V6 t2v","openapi":"openapi-spec/pixverse-v6-t2v.json POST /v1/video/generations","href":"/api-reference/model-api/pixverse-v6-t2v"}]},{"group":"Tencent","pages":[{"title":"Hunyuan Image 3 Instruct i2i","openapi":"openapi-spec/hunyuan-image-3-instruct-i2i.json POST /v1/images/generations/async","href":"/api-reference/model-api/hunyuan-image-3-instruct-i2i"},{"title":"Hunyuan Image 3 Instruct t2i","openapi":"openapi-spec/hunyuan-image-3-instruct-t2i.json POST /v1/images/generations/async","href":"/api-reference/model-api/hunyuan-image-3-instruct-t2i"},{"title":"Hunyuan3d V2.5 Rapid image-to-3d","openapi":"openapi-spec/hunyuan3d-v2.5-rapid-image-to-3d.json POST /v1/3d/generations","href":"/api-reference/model-api/hunyuan3d-v2.5-rapid-image-to-3d"},{"title":"Hunyuan3d V2.5 Rapid text-to-3d","openapi":"openapi-spec/hunyuan3d-v2.5-rapid-text-to-3d.json POST /v1/3d/generations","href":"/api-reference/model-api/hunyuan3d-v2.5-rapid-text-to-3d"}]},{"group":"Tripo","pages":[{"title":"Tripo3D V2.5 image-to-3d","openapi":"openapi-spec/tripo3d-v2.5-image-to-3d.json POST /v1/3d/generations","href":"/api-reference/model-api/tripo3d-v2.5-image-to-3d"}]},{"group":"Vidu","pages":[{"title":"Vidu Q2 t2v","openapi":"openapi-spec/vidu-q2-t2v.json POST /v1/video/generations","href":"/api-reference/model-api/vidu-q2-t2v"},{"title":"Vidu Q2-pro i2v","openapi":"openapi-spec/vidu-q2-pro-i2v.json POST /v1/video/generations","href":"/api-reference/model-api/vidu-q2-pro-i2v"},{"title":"Vidu Q2-pro se2v","openapi":"openapi-spec/vidu-q2-pro-se2v.json POST /v1/video/generations","href":"/api-reference/model-api/vidu-q2-pro-se2v"},{"title":"Vidu Q2-pro-fast i2v","openapi":"openapi-spec/vidu-q2-pro-fast-i2v.json POST /v1/video/generations","href":"/api-reference/model-api/vidu-q2-pro-fast-i2v"},{"title":"Vidu Q3-pro i2v","openapi":"openapi-spec/vidu-q3-pro-i2v.json POST /v1/video/generations","href":"/api-reference/model-api/vidu-q3-pro-i2v"},{"title":"Vidu Q3-pro t2v","openapi":"openapi-spec/vidu-q3-pro-t2v.json POST /v1/video/generations","href":"/api-reference/model-api/vidu-q3-pro-t2v"},{"title":"Vidu Q4 i2v","openapi":"openapi-spec/vidu-q4-i2v.json POST /v1/video/generations","href":"/api-reference/model-api/vidu-q4-i2v"},{"title":"Vidu Q4 ref2v","openapi":"openapi-spec/vidu-q4-ref2v.json POST /v1/video/generations","href":"/api-reference/model-api/vidu-q4-ref2v"}]},{"group":"XiaoMi","pages":[{"title":"MiMo V2 Flash","openapi":"openapi-spec/mimo-v2-flash.json POST /v1/chat/completions","href":"/api-reference/model-api/mimo-v2-flash"}]},{"group":"Z.ai","pages":[{"title":"GLM 4.6V Flash","openapi":"openapi-spec/glm-4.6v-flash.json POST /v1/chat/completions","href":"/api-reference/model-api/glm-4.6v-flash"},{"title":"GLM 4.7","openapi":"openapi-spec/glm-4.7.json POST /v1/chat/completions","href":"/api-reference/model-api/glm-4.7"},{"title":"GLM 5","openapi":"openapi-spec/glm-5.json POST /v1/chat/completions","href":"/api-reference/model-api/glm-5"},{"title":"GLM 5.2","openapi":"openapi-spec/glm-5.2.json POST /v1/chat/completions","href":"/api-reference/model-api/glm-5.2"}]},{"group":"xAI","pages":[{"title":"Grok 4.1 Fast Non Reasoning","openapi":"openapi-spec/grok-4.1-fast-non-reasoning.json POST /v1/chat/completions","href":"/api-reference/model-api/grok-4.1-fast-non-reasoning"},{"title":"Grok 4.1 Fast Reasoning","openapi":"openapi-spec/grok-4.1-fast-reasoning.json POST /v1/chat/completions","href":"/api-reference/model-api/grok-4.1-fast-reasoning"},{"title":"Grok Imagine Image i2i","openapi":"openapi-spec/grok-imagine-image-i2i.json POST /v1/images/generations/async","href":"/api-reference/model-api/grok-imagine-image-i2i"},{"title":"Grok Imagine Image t2i","openapi":"openapi-spec/grok-imagine-image-t2i.json POST /v1/images/generations/async","href":"/api-reference/model-api/grok-imagine-image-t2i"},{"title":"Grok Imagine Video Extension","openapi":"openapi-spec/grok-imagine-video-extension.json POST /v1/video/generations","href":"/api-reference/model-api/grok-imagine-video-extension"},{"title":"Grok Imagine Video i2v","openapi":"openapi-spec/grok-imagine-video-i2v.json POST /v1/video/generations","href":"/api-reference/model-api/grok-imagine-video-i2v"},{"title":"Grok Imagine Video t2v","openapi":"openapi-spec/grok-imagine-video-t2v.json POST /v1/video/generations","href":"/api-reference/model-api/grok-imagine-video-t2v"}]}]}]},{"tab":"ChangeLog","pages":[{"title":"ChangeLog","href":"/changelog/05-09-25"}]}]},"title":"Siray AI API Docs | OpenAI Compatible API","buildId":"dpl_DFJrtvUi8HS5F9nkooKuDJsuD5BM","deploymentId":"dpl_DFJrtvUi8HS5F9nkooKuDJsuD5BM","dynamics":["c2aa737661","2b790eda92","b0f84f53ff","a9bb46feb3"],"chunks":["OpenApiReferenceProvider-rfhihCWU.js","utils-BmH1XFxk.js","cloneDeep-izs3Hzxb.js","_Uint8Array-BVIqJ90l.js","isObjectLike-C8vmzPEN.js","isArray-Dcu1dQ5t.js","utils-BcNsxPKB.js","toString-BX-iyh8G.js","isSymbol-CSH9U2Gm.js","addUniqueKeysToSchema-BAES3tkd.js","snippetPresets-DCMQBKLP.js","style-to-object-BY3JEAdk.js","v4-DIgz8zy6.js","ApiExamples-D6l_bzE9.js","isEqual-BfaiBbcl.js","usePlaygroundInputsStore-BOktbnNh.js","shallow-BCs8SgM7.js","getApiPlaygroundDisplay-DEmW5bJB.js","CodeSnippet-CpZOpB9C.js","CodeSnippets-BOBDqibl.js","Page-D5fEM6aW.js","getPastedJson-DH2JBvmr.js","icon-BBJH-kKh.js","MethodPill-D2Sd5NLC.js","DuplicateIcon-CGgfL2qN.js","createIcon-BKudBBzi.js","DynamicMarkdown-85clUA0i.js","SectionHeading-D0JiMgDx.js","axios-vUo_bRtp.js","Markdown-Cfiy0xZO.js","clsx-rL8ZCCw4.js","lib--scc4DXi.js","lib-B8HbPgcC.js","html-void-elements-mCSPHezU.js","dist-aeztFa9U.js","katex-YMM-FMeD.js","marked.esm-CZWythHk.js","AssistantPageLink-BywkCr5C.js"]}